import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.util.ILinePropertySet;

public class LineArea extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			LineArea chart = new LineArea();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doLineAreaChart(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doLineAreaChart(this));
	}

	Component doLineAreaChart(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"LineArea.cht"); // template

		ILinePropertySet lineProperties = chart.gethLineProperties();
		lineProperties.setAreaVisible(true);
		lineProperties.setAreaColors(Color.green, Color.yellow);

		// Show chart in Viewer
		return chart;

	}
}
